grammar Path;

@parser::header{
package org.ow2.wildcat.util;
}
@rulecatch { } 
@parser::members {
	protected void mismatch(IntStream input, int ttype, BitSet follow) throws RecognitionException {
		MismatchedTokenException mte = new MismatchedTokenException(ttype, input);
		throw mte;
	}
}

@lexer::header {
package org.ow2.wildcat.util;
}

path returns [String h, List<String> r, String a, boolean abs]
@init{
	$h = null;
	$r = new ArrayList<String> ();
	$a = null;
	$abs = false;
}
	:	(host {$h = $host.hostname; $abs = true;}| '/' {$abs = true;})?
		(res=resource '/' {$r.add($res.text);})*
		(res=resource {$r.add($res.text);})?
		('#' attribute {$a = $attribute.text;})?
		EOF
	;

protected host returns [String hostname]
	:	i=ID '://'
	{$hostname = $i.text;}
	;

protected address	:	ID
	;
	
protected resource	:
		'.'
	|	'..'
	|	'*'
	|	ID
	;

protected attribute :
		'*'
	|	ID
	;

// Lexer
ID	:	('_'|'a'..'z'|'A'..'Z')('_'|'a'..'z'|'A'..'Z'|'0'..'9')*;