/**
 * WildCAT: A Generic Framework for Context-Aware Applications.
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 EMN
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * Authors:
 *		- Pierre-Charles David (initial)
 *		- Nicolas Loriant
 * --------------------------------------------------------------------------
 * $Id: ContextEvent.java 350 2008-11-10 09:41:14Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.wildcat.remote;

import java.io.Serializable;

import org.ow2.wildcat.Context;
import org.ow2.wildcat.event.WEvent;

/**
 * Define a wrappers of {@link WEvent} identified a sender {@link Context}.
 */
public class ContextEvent implements Serializable {

    private static final long serialVersionUID = 4490647481390882880L;

    private final String sender;

    private final WEvent[] events;

    public ContextEvent(final String sender, final WEvent... events) {
        this.sender = sender;
        this.events = events;
    }

    public String getSender() {
        return this.sender;
    }

    public WEvent[] getEvents() {
        return this.events;
    }
}
