/**
 * WildCAT: A Generic Framework for Context-Aware Applications.
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 EMN
 * Contact: wildcat@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * --------------------------------------------------------------------------
 * $Id: DispatcherException.java 350 2008-11-10 09:41:14Z loris $
 * --------------------------------------------------------------------------
 */
package org.ow2.wildcat.remote.dispatcher;

/**
 * Exception thrown when an operation on a dispatcher failed.
 * @author Loris Bouzonnet
 */
public class DispatcherException extends Exception {

    /**
     * Id for serializable class.
     */
    private static final long serialVersionUID = 403361298190472250L;

    public DispatcherException() {
    }

    public DispatcherException(final String message) {
        super(message);
    }

    public DispatcherException(final Throwable cause) {
        super(cause);
    }

    public DispatcherException(final String message, final Throwable cause) {
        super(message, cause);
    }

}
